com.brightcove.ssai.event

## Class SSAIEventType

- java.lang.Object
- - com.brightcove.ssai.event.SSAIEventType

-     public final class SSAIEventType
      extends java.lang.Object

  Identifies SSAI event types used and emitted within the SSAI plugin. Also provides parameter keys for use in event handlers.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AD_DATA_READY` Indicate that the ad data response is ready either to support the OnceUX functions or to provide an error indication on why not.
    `static java.lang.String` | `CLICK_LINEAR_CREATIVE` Indicates the action that the linear creative has been clicked by the user.
    `static java.lang.String` | `END_AD` Indicate that a VMAP <Ad> is ending.
    `static java.lang.String` | `END_AD_BREAK` Indicate that a VMAP <AdBreak> is ending.
    `static java.lang.String` | `END_COMPANION` Indicate that a VMAP <Companion> is finished.
    `static java.lang.String` | `END_LINEAR` Indicate that a VMAP <AdBreak> is ending.
    `static java.lang.String` | `RENDERED_COMPANION` Indicate that a companion add has been successfully shown
    `static java.lang.String` | `SEND_IMPRESSION` Indicate that an impression tracking beacon has been sent.
    `static java.lang.String` | `SEND_TRACKING_BEACON` Indicate that a tracking beacon has been sent.
    `static java.lang.String` | `SKIP_AD` Indicate the action to Skip an Ad triggered by the user.
    `static java.lang.String` | `START_AD` Indicate that a VAST <Ad> is starting.
    `static java.lang.String` | `START_AD_BREAK` Indicate that a VMAP <AdBreak> is starting.
    `static java.lang.String` | `START_COMPANION` Indicate that a VMAP <Companion> is at available to be displayed.
    `static java.lang.String` | `START_LINEAR` Indicate that a VMAP <Linear> is starting.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSAIEventType()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AD_DATA_READY

          public static final java.lang.String AD_DATA_READY

      Indicate that the ad data response is ready either to support the OnceUX functions or to provide an error indication on why not. Properties included are either error information (VMAP_ERRORS, a String) or data (VMAP_RESPONSE, bound to a VMAP object, and VMAP_TIMELINE, bound to a SparseArray<List<Event>> object associating playhead positions with the event list.)
      See Also:
        Constant Field Values

    - #### START_AD

          public static final java.lang.String START_AD

      Indicate that a VAST <Ad> is starting. Properties includes the Ad data binding (VAST_AD is the key).
      See Also:
        Constant Field Values

    - #### END_AD

          public static final java.lang.String END_AD

      Indicate that a VMAP <Ad> is ending. Properties includes the Ad data binding (VAST_AD is the key).
      See Also:
        Constant Field Values

    - #### START_AD_BREAK

          public static final java.lang.String START_AD_BREAK

      Indicate that a VMAP <AdBreak> is starting. Properties includes the AdBreak data binding (VMAP_AD_BREAK).
      See Also:
        Constant Field Values

    - #### END_AD_BREAK

          public static final java.lang.String END_AD_BREAK

      Indicate that a VMAP <AdBreak> is ending.
      See Also:
        Constant Field Values

    - #### START_COMPANION

          public static final java.lang.String START_COMPANION

      Indicate that a VMAP <Companion> is at available to be displayed. Properties includes the Companion data binding (VMAP_COMPANION is the key).
      See Also:
        Constant Field Values

    - #### RENDERED_COMPANION

          public static final java.lang.String RENDERED_COMPANION

      Indicate that a companion add has been successfully shown
      See Also:
        Constant Field Values

    - #### END_COMPANION

          public static final java.lang.String END_COMPANION

      Indicate that a VMAP <Companion> is finished. Properties includes the Companion data binding (VMAP_COMPANION is the key).
      See Also:
        Constant Field Values

    - #### START_LINEAR

          public static final java.lang.String START_LINEAR

      Indicate that a VMAP <Linear> is starting. Properties includes the Linear data binding (VAST_LINEAR).
      See Also:
        Constant Field Values

    - #### END_LINEAR

          public static final java.lang.String END_LINEAR

      Indicate that a VMAP <AdBreak> is ending. Properties includes the Linear data binding (VAST_LINEAR).
      See Also:
        Constant Field Values

    - #### SEND_IMPRESSION

          public static final java.lang.String SEND_IMPRESSION

      Indicate that an impression tracking beacon has been sent. Properties includes the Impression data binding (IMPRESSION).
      See Also:
        Constant Field Values

    - #### SEND_TRACKING_BEACON

          public static final java.lang.String SEND_TRACKING_BEACON

      Indicate that a tracking beacon has been sent. Properties includes the Tracking beacon (VMAP_TRACKING).
      See Also:
        Constant Field Values

    - #### CLICK_LINEAR_CREATIVE

          public static final java.lang.String CLICK_LINEAR_CREATIVE

      Indicates the action that the linear creative has been clicked by the user.
      See Also:
        Constant Field Values

    - #### SKIP_AD

          public static final java.lang.String SKIP_AD

      Indicate the action to Skip an Ad triggered by the user.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SSAIEventType

          public SSAIEventType()